/* colors used

Offwhite: #F4EEEC
Oranje: #D07F00
Bruin: #7B4D00
Groen: #6B803F
Blauw: #57AAB6

font used: Quicksand (google font)

*/

* {
    margin: 0;
    padding: 0;
    scroll-margin-top: 120px;
    box-sizing: border-box;
}

body {
    background-color: #F4EEEC;
    overflow-x: hidden;
    font-family: "Quicksand", sans-serif;
}

/* navigation */

.custom-navbar {
    padding-left: 30px;
    padding-right: 30px;
    width: 100dvw;
}

/* dropdown */

.menu-button {
    height: 80px;
    width: 80px;
    background-color: #57AAB6;
    color: #fff;
    border: none;
    border-radius: 50%;
    cursor: pointer;
    z-index: 1000; 
    display: flex;
    flex-wrap: wrap;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.menu-button:hover {
    background-color: #4c98a2;
}

.bar1, .bar2, .bar3 {
    width: 40px;
    height: 5px;
    background-color: white;
    margin: 6px 0;
    transition: 0.4s;
  }

.change .bar1 {
    transform: translateY(17px) rotate(-45deg); 
}

.change .bar2 {
    opacity: 0;
}

.change .bar3 {
    transform: translateY(-17px) rotate(45deg);
}

.dropdown-menu {
    position: fixed;
    top: 0;
    left: 0;
    width: 100dvw;
    height: 100dvh;
    background-color: rgba(87, 170, 182, 0.95); 
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    z-index: 999;
    opacity: 0; /* Initially hidden */
    transform: translateX(100%); /* Start off-screen to the left */
    transition: transform 0.3s ease-in-out, opacity 0.3s ease-in-out;
}

.dropdown-menu.active {
    opacity: 1; /* Make it visible */
    transform: translateX(0); /* Move into view */
}

.dropdown-menu ul {
    list-style: none;
    padding: 0;
    margin: 0;
    text-align: center;
}

.dropdown-menu li {
    margin: 20px 0;
}

.dropdown-menu a:hover {
    text-decoration: underline;
}

.big-menu a {
    color: #fff;
    text-decoration: none;
    font-size: 1.5rem;
    font-weight: bold;
}

.mini-menu a {
    color: black;
    text-decoration: none;
    font-size: 1.2rem;
    font-weight: normal;
}

/* header with video on homepage */

.header-container {
    width: 100vw;
    height: 100svh;
    min-height: 100dvh;
    display: flex;
    justify-content: flex-end;
    position: relative;
}

.header-part-left {
    position: absolute;
    width: 60%;
    height: 100%;
    background: black;
    overflow: hidden;
    z-index: -1;
    top: 0;
    left: 0;
}

#video-container {
    height: 100%;
    width: 100%;
    background-image: url("images/placeholder.jpg"); /* Safari fallback */
    background-size: cover; /* Scale fallback appropriately */
    background-position: center;
    background-color: black;
    position: absolute;
    z-index: 1;
    top: 0;
    left: 0;
    z-index: -1;
    display: none; /* Default to hiding this layer */
}

/* Main video for browsers that support object-fit */
#background-video {
    width: 100%;
    height: 100%;
    object-fit: cover;
    -webkit-object-fit: cover; /* Safari support */
    z-index: -1;
    display: block; /* Default to showing this layer */
    position: absolute;
}

/* Safari-specific fallback for mobile */
@supports (-webkit-overflow-scrolling: touch) {
    #background-video {
        display: none; /* Hide primary video */
    }

    #video-container {
        display: block; /* Show fallback */
    }
}

.header-part-right {
    width: 40%;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background-color: rgba(244, 238, 236, 0.5)    ;
    z-index: 1;
    padding: 0px 25px 0px 25px;
}

.header-quote {
    font-family: "Quicksand", sans-serif;
    font-size: 2rem;
    color: #7B4D00;
    text-align: center;
    margin-top: 150px;
    padding-bottom: 20px;
}

.header-list {
    font-size: 1.2rem;
    text-align: left;
    padding-left: 15%;
    padding-bottom: 8%;
    padding-top: 8%;
    color: black;
}

.header-list li {
    color: #7B4D00;
}

.header-list li span {
    color: black;
}

.btn-reserveren {
    padding: 10px;
    background-color: rgba(255, 255, 255, 0);
    border-radius: 10px;
    font-size: 1.5rem;
    border: 3px solid #57AAB6;
    color: #234b51;
}

.btn-reserveren:hover {
    background-color: rgba(170, 222, 230, 1);
    color: rgb(45, 100, 101);
}


/* Header losse-pagina's */

.header-losse-pagina {
    width: 100dvw;
    height: 300px;
}

.header-losse-pagina h1 {
    z-index: 999;
    color: white;
    padding: 190px 0px 0px 100px;
    text-shadow: #000000 1px 0 10px;
}

/* Verschillende Headers */

.cabin {
    background-image: url("images/cabinheader.jpg");
    background-color: #D07F00;
    background-position: center;
    background-size: cover;
}

.contact {
    background-image: url("images/contactheader.jpg");
    background-color: orangered;
    background-position: center;
    background-size: cover;
}

.erfgoed {
    background-image: url("images/erfgoedheader.jpg");
    background-color: #6B803F;
    background-size: cover;
}

.omgeving {
    background-image: url("images/omgevingheader.jpg");
    background-color: #6B803F;
    background-position-y: center;
    background-size: cover;
}

.privacy {
    background-image: url("images/privacyheader.jpg");
    background-color: #D07F00;
    background-size: cover;
}

.voorwaarden {
    background-image: url("images/voorwaardenheader.jpg");
    background-color: #6B803F;
    background-position-y: center;
    background-size: cover;
}

.vragen {
    background-image: url("images/vragenheader.jpg");
    background-color: green;
    background-size: cover;
}

/* Blocks */

h1 {
    color: #7B4D00;
}

.block-right, .block-center, .block-left, .block-reserveren, .block-reviews, .block-insta, .block-vragen {
    width: 100dvw;
    background-color: #F4EEEC;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.block-text {
    width: 95%;
    padding:2rem;
    padding-top: 0px;
    text-align: center;
}

.wrapper {
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: center;
    gap: 15px;
}

.block-right .block-text, .block-left .block-text {
    width: 50%;
    text-align: left;
}



.btn-link {
    padding: 10px;
    border-radius: 10px;
    font-size: 1rem;
    border: 3px solid #F4EEEC;
    background-color: #c4d1a7;
    color: #6B803F;
    font-weight: bold;
    text-decoration: none;
    margin-top: 25px;
}

.btn-link:hover {
    background-color: #e3ead5;
    color: #6B803F;
}



/* Cabin */

#cabin h1, #omgeving h1, #over h1 {
    margin-top: 70px;
    margin-bottom: 70px; 
}

.block-right .block-img img {
    width: 450px;
    height: 450px;
    object-fit: cover;
    border-radius: 10%;
}

/* de omgeving */

 .block-center .block-img img {
    width: 100dvw;
    height: 350px;
    object-fit: cover;
}

#omgeving .block-img{
    margin-top: 70px;
}

#omgeving .block-text {
    width: 75dvw;
}

/* Over ons / Contact */

.block-left .block-img img {
    width: 450px;
    height: 450px;
    object-fit: cover;
    border-radius: 10%;
}

/* Reserveren */

#reserveren .block-text {
    padding-top: 50px;

}

.block-reserveren {
    background-color: #6B803F;
    margin-top: 70px;
    margin-bottom: 70px;
}

.block-reserveren .block-text {
    color: #F4EEEC;
}

.block-reserveren .btn-link {
    padding: 10px;
    border: 0px solid #F4EEEC;
    margin-bottom: 60px;
}

/* Review */

.wrapper-reviews {
    width: 800px;
    height: 400px;
    display: flex;
    justify-content: center;
    align-items: center;
}

#slider { 
    position: relative;
    width: 600px;
    margin: 2rem auto;
    align-self: flex-start;
}
.slide {
    position: absolute;
    width: 600px;
    left: 0px;
    top: 0px;
    opacity: 0;
    transition: opacity 0.5s ease-in-out;
}

.slide.active {
    opacity: 1;
    z-index: 1; /* Ensure the active slide is on top */
}

.slide:not(.active) {
    z-index: 0; /* Push inactive slides behind */
    animation: none; /* Prevent the `fading` animation */
}

@keyframes fading {
    0% { opacity: 0; }
    50% { opacity: 1; }
    100% { opacity: 0; }
}

.prev, .next {
    width: 50px;
    height: 50px;
    background-color: rgba(87, 170, 182, 1);
    border: 3px solid white;
    border-radius: 50%;
    color: white;
    font-size: 1.4rem;
}

.prev:hover, .next:hover {
    background-color: rgba(50, 150, 160, 1);
}


/* The dots/bullets/indicators */
.dot {
    cursor: pointer;
    height: 15px;
    width: 15px;
    margin: 0 2px;
    background-color: rgb(155, 193, 199);
    border-radius: 50%;
    display: inline-block;
    transition: background-color 0.6s ease;
  }
  
  .active-dot, .dot:hover {
    background-color: rgba(50, 150, 160, 1);
  }

/* Review card */

.review-card {
    background-color: rgb(255, 255, 255);
    border-radius: 15px;
    padding: 20px;
    height: 340px;
}

.review-pic {    
    height: 70px;
    width: 60px;
    overflow: hidden;
    position: absolute;
    padding-top: 10px;
}

.review-pic img {
    height: 100%;
    width: 100%;
}

.review-name {
    font-weight: bold;
    color: #7B4D00;
    padding: 10px 0px 10px 75px;
}

.review-text {
    padding-top: 15px;
}

.review-rating {
    font-weight: bold;
    color: #7B4D00;
    padding-left: 75px;
}

/* Instagram */

.block-insta {
    padding-top: 0px;
    margin-top: 100px;
    margin-bottom: 100px;
}

.block-insta img {
    width: 400px;
    border-radius: 15px;
}

.block-insta-text {
    width: 40%;
    padding: 2rem;
    font-family: "Quicksand", sans-serif;
    font-size: 1rem;
    align-self: flex-start;
}

.block-insta-text button {
    font-size: 1rem;
    padding: 0.8rem;
    border-radius: 5px;
    background-color: #57AAB6;
    border: none;
    color: #F4EEEC;
}

.block-insta-text button:hover {
    background-color: rgba(170, 222, 230, 1);
    color: black;
    border: none;
}

/* big image */

.big-image img {
    width: 100dvw;
    margin-top: 30px;
}

/* Footer */

.footer-custom {
    background-color: #57AAB6;
    width: 100dvw;
}

li a {
    text-decoration: none;
    color: white;
}

li a:hover {
    color: black;
}

/* losse pagina's */

h2 {
    color: #7B4D00;
    font-size: 1.5rem;
    padding-top: 2rem;
    padding-bottom: 1rem;
}

h3 {
    color: #7B4D00;
    font-size: 1rem;
    font-weight: bold;
    display:inline;
}

/* losse pagina: cabin */


#cabin-1 {
    margin-top: 100px;
}

#verwarming, #koken, #duurzaam {
    margin-top: 70px;
}

#cabin-1 h2, #verwarming h2, #duurzaam h2, #omgeving h2, #voorzieningen h2 {
    padding-top: 0;
}

#duurzaam p, #duurzaam h2, #erf h2, #erf p, #duurzaam .link{
    text-align: left;
}

#duurzaam .block-text, #erf .block-text, #voorzieningen .block-text {
    width: 80dvw;
    padding-top: 0px;
}

#cabin-1 .block-text, #verwarming .block-text {
    padding-top: 0px;
}

.voorzieningen {
    background-color: #6B803F;
    margin-top: 70px;
    margin-bottom: 50px;
    padding-top: 60px;
    padding-bottom: 30px;
}

.voorzieningen h2 {
    padding-bottom: 0px;
    color: #F4EEEC;
}

.accordion-content ul {
    text-align: left;
}

#cabin-img img {
width: 100dvw;
height: 250px;
object-fit: cover;
}

.block-img-big {
    display: flex;
    justify-content: center;
}

.block-img-big img {
    width: 75%;
    height: auto;
    max-width: 800px;
    border-radius: 15px;
    margin-top: 50px;
}

#fotocarousel {
    margin-bottom: 30px;
}

#cabinfotos {
    display: none;
}

#cabinhr, #erfgoedhr, #omgevinghr {
    margin-top: 100px;
}

.beschrijving {
    margin-right: auto;
    margin-left: 15%;
    margin-top: 5px;
}

.fade {
    animation-name: fade;
    animation-duration: 1.5s;
  }
  
  @keyframes fade {
    from {opacity: .4}
    to {opacity: 1}
  }


/* losse pagina: erfgoed */

#erfgoed {
    margin-top: 70px;
    margin-bottom: 40px;
}

#erfgoed .block-text {
    width: 75dvw;
}

/* losse pagina: contact */

#contact {
    margin-top: 50px;
    margin-bottom: 50px;

}

#contact ul {
    list-style: none;
    padding-left: 0;
}

#contact a{
    color: #7B4D00;
}

#contact a:hover{
    color: #D07F00;
}

/* losse pagina: de omgeving */

#omgeving-1 {
    margin-top: 100px;
    margin-bottom: 100px;
}

#omgeving-1 h2 {
    padding-top: 0px;
}


#omgeving-2 a {
    color: #7B4D00;
}

 #omgeving-2 a:hover {
    color: #D07F00;
}

/* losse pagina: privacy */

#privacy {
    margin-top: 40px;
    margin-bottom: 70px;
}

#privacy a {
    color: #7B4D00;
}

#privacy a:hover {
    color: #D07F00;
}

#privacy .block-text {
    text-align: left;
    width: 75dvw;
}

/* losse pagina: algemene voorwaarden */

#voorwaarden {
    margin-top: 40px;
    margin-bottom: 70px;
}

#voorwaarden li {
    color: #7B4D00;
}

#voorwaarden li span{
    color: black;
}

#voorwaarden .block-text {
    text-align: left;
    width: 75dvw;
}

/* element op losse pagina's: reserveren */

#reserveren {
    padding: 0px;
    margin: 0px;
    margin-top: 80px;
    margin-bottom: 80px;
}

.reserveren-los {
    background-color: #F4EEEC;
}

.reserveren-los .block-text {
    color: black;
}

.reserveren-los .btn-reserveren {
    border: 3px solid #57AAB6;
    color: #26707b;
    margin: 0px;
}

/* veelgestelde vragen accordeon */

#vragen {
    margin-top: 70px;
    margin-bottom: 70px;
}

.accordion {
    width: 800px;
    margin: 50px auto 50px;
    border: 0px solid #ddd;
    border-radius: 5px;
    overflow: hidden;
}

.accordion-item {
    border-bottom: 1px solid #ddd;
}

.accordion-item:last-child {
    border-bottom: none;
}

.accordion-header {
    background: #f4f4f4;
    border: none;
    width: 100%;
    text-align: left;
    padding: 10px 15px;
    cursor: pointer;
    font-size: 1.2rem;
    font-weight: bold;
    color: rgb(79, 79, 79);
    outline: none;
    transition: 0.4s;
}

.actief, .accordion-header:hover {
    background: #bde0e6;
}

.accordion-content {
    display: block;
    padding: 0 15px;
    background: #fff;
    font-size: 1rem;
    line-height: 1.5;
    max-height: 0; 
    overflow: hidden; 
    transition: max-height 0.3s ease-out, padding 0.3s ease-out;
}

.accordion-content.open {
    padding: 10px 15px; 
    max-height: 1000px; 
}


.accordion-header:after {
    content: '\002B'; /* Unicode character for "plus" sign (+) */
    font-size: 13px;
    color: #57AAB6;
    float: right;
    margin-left: 5px;
  }
  
  .actief:after {
    content: "\2212"; /* Unicode character for "minus" sign (-) */
  }

/*Responsiveness */

@media (max-width: 1200px) {

    .block-text {
        padding-top: 0.5rem;
    }

    .block-insta-text {
        padding-top: 1rem;
    }

    .block-right .block-img img, .block-left .block-img img {
        width: 300px;
        height: 300px;
    }

    .block-insta img {
        width: 300px;
    }
}

@media (max-width: 950px) {

    .header-quote {
        font-size: 1rem;
        margin-top: 0px;
    }
    
    .header-list {
        font-size: 0.7rem;
    }
    
    .btn-reserveren, .block-reserveren .btn-reserveren {
        font-size: 1rem;
    }

    .wrapper-reviews {
        width: 550px;
        height: 600px;
    }

    #fotocarousel {
        height: 350px;
    }

    #slider {
        width: 400px;
    }

    .slide {
        width: 400px;
    }

    .review-card {
    height: 515px;
    }

    #fotocarousel .review-card {
        height: auto;
    }

    .accordion {
        width: 600px;
    }

}

@media (max-width: 700px) {

    .navbar-brand img {
        height: 90px;
    }

    .menu-button {
        height: 50px;
        width: 50px;
    }

    .bar1, .bar2, .bar3 {
        width: 20px;
        height: 2.5px;
        margin: 3px 0;
      }

    .change .bar1 {
        transform: translateY(9px) rotate(-45deg); 
    }
    
    .change .bar2 {
        opacity: 0;
    }
    
    .change .bar3 {
        transform: translateY(-8px) rotate(45deg);
    }

    .header-losse-pagina {
        height: 250px;
    }

    .header-losse-pagina h1 {
        padding: 165px 0px 0px 50px;
    }

}

/* for landscape */

@media (max-height: 425px) 
and (orientation: landscape) {

    .navbar-brand img {
        height: 90px;
    }

    .menu-button {
        height: 50px;
        width: 50px;
    }

    .bar1, .bar2, .bar3 {
        width: 20px;
        height: 2.5px;
        margin: 3px 0;
      }

    .change .bar1 {
        transform: translateY(9px) rotate(-45deg); 
    }
    
    .change .bar2 {
        opacity: 0;
    }
    
    .change .bar3 {
        transform: translateY(-8px) rotate(45deg);
    }

    .header-losse-pagina {
        height: 175px;
    }

    .header-losse-pagina h1 {
        padding: 125px 0px 0px 50px;
    }

}

@media (max-width: 600px) {

    .block-right .block-img img, .block-left .block-img img {
        width: 400px;
        height: 300px;
        border-radius: 20px;
    }

    #cabin h1 {
            margin-top: 70px;
            margin-bottom: 40px; 
        }

    #cabin .block-text, #over .block-text, #cabin-1 h2, #cabin-1 p, #verwarming h2, #verwarming p, #koken h2, #koken p, #duurzaam h2, #duurzaam p, #erf h2, #erf p {
            text-align: center;
        }
    
    #omgeving h1 {
        margin-top: 60px;
        margin-bottom: 60px; 
    }

    #over h1 {
        margin-top: 70px;
        margin-bottom: 40px; 
    }

    #block-insta {
        margin-top: 60px;
        margin-bottom: 60px;
    }

    #cabin-1, #erfgoed, #omgeving-1 {
        margin-top: 60px;
        margin-bottom: 0px;
    }

    #vragen {
        margin-top: 30px;
        margin-bottom: 0px;
    }

    #verwarming, #omgeving-2 {
        margin-top: 0px;
    }

    #reserveren {
            margin-top: 40px;
            margin-bottom: 80px;
        }  


    .wrapper {
        width: 100%;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        gap: 25px;
        padding-top: 30px;
        padding-bottom: 10px;
    }

    .block-right .block-text, .block-left .block-text {
        width: 80%;
    }

    .accordion {
        width: 450px;
    }

    #voorzieningen .accordion-header {
        font-size: 1rem;
    }
}

  @media (max-width: 500px) {

    * {
        scroll-margin-top: 70px;
    }

    .navbar-brand img {
        height: 75px;
    }

    .block-right .block-img img, .block-left .block-img img {
        width: 300px;
        height: 300px;
        border-radius: 20px;
    }

    .block-right .block-text, .block-left .block-text {
        width: 80%;
    }

    #cabin-1 .block-text, #cabin-2 .block-text {
        text-align: left;
    }

    .btn-reserveren {
        font-size: 0.7rem;
    }

    .block-reserveren {
        margin-top: 30px;
    }

    .block-insta-text {
        width: 70%;
        padding: 1rem;
        font-family: "Quicksand", sans-serif;
        font-size: 1rem;
        align-self: center;
    }

    .wrapper-reviews {
        width: 350px;
        height: 800px;
    }

    #slider {
        width: 250px;
    }

    .slide {
        width: 250px;
    }

    .block-fotocarousel, .cabin-dots {
        display: none;
    }

    #cabinfotos {
        display: flex;
    }

    .prev, .next {
    width: 20px;
    height: 50px;
    background-color: transparent;
    border: 0px solid white;
    color: rgba(87, 170, 182, 1);
    font-size: 1.4rem;
    display: none;
}

    .review-card {
    height: 715px;
    }

    #fotocarousel .review-card {
        height: auto;
    }

    .accordion {
        width: 300px;
    }

    .header-losse-pagina {
        height: 200px;
    }

    .header-losse-pagina h1 {
        font-size: 1.3rem;
    }

    .header-losse-pagina h1 {
        padding: 135px 0px 0px 50px;
    }

}

@media (max-width: 391px) {

    .navbar-brand img {
        height: 60px;
    }

    .menu-button {
        height: 40px;
        width: 40px;
    }

    .bar1, .bar2, .bar3 {
        width: 17px;
        height: 2.5px;
        margin: 2px 0;
      }

    .change .bar1 {
        transform: translateY(6px) rotate(-45deg); 
    }
    
    .change .bar2 {
        opacity: 0;
    }
    
    .change .bar3 {
        transform: translateY(-7px) rotate(45deg);
    }
}

@media (max-height: 600px) {

    .dropdown-menu a {
        font-size: 1.2rem;
    }

    .dropdown-menu hr {
        display: none;
    }
    .mini-menu {
        display: none;
    }
}